summaryrefslogtreecommitdiff
path: root/sys-kernel
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-09-10 13:14:20 +0100
committerV3n3RiX <venerix@koprulu.sector>2022-09-10 13:14:20 +0100
commit121a7a0e6228e50390bb9d350be794d93682bc89 (patch)
tree5a86dbc9c7771f7b0432550a269354880a9ba94a /sys-kernel
parentb8b7eb3020ceaf85ef3f94efb82ebc44ec03a7cf (diff)
toolchain bump
Diffstat (limited to 'sys-kernel')
-rw-r--r--sys-kernel/linux-headers/Manifest4
-rw-r--r--sys-kernel/linux-headers/linux-headers-5.10-r11.ebuild46
-rw-r--r--sys-kernel/linux-headers/linux-headers-5.19.ebuild54
3 files changed, 56 insertions, 48 deletions
diff --git a/sys-kernel/linux-headers/Manifest b/sys-kernel/linux-headers/Manifest
index 537ef88d..8ca76095 100644
--- a/sys-kernel/linux-headers/Manifest
+++ b/sys-kernel/linux-headers/Manifest
@@ -1,2 +1,2 @@
-DIST gentoo-headers-5.10-1.tar.xz 4304 BLAKE2B b5006ff13c8ef8394806919d547f1b15ac32cc4d290e8c5f5a5073f54112db194a9e743177ae54941d8a504e15b662751258259183c47c574936744d7c51b405 SHA512 3154558df20e3a8821af23b2a585eaccb6c40877850b1cf752c435c170f7f322a48e77cee63bcc061b69aff8602987f4506d803c73f394929716295aface4f3d
-DIST linux-5.10.tar.xz 116606704 BLAKE2B b923d7b66309224f42f35f8a5fa219421b0a9362d2adacdadd8d96251f61f7230878ea297a269a7f3b3c56830f0b177e068691e1d7f88501a05653b0a13274d1 SHA512 95bc137d0cf9148da6a9d1f1a878698dc27b40f68e22c597544010a6c591ce1b256f083489d3ff45ff77753289b535135590194d88ef9f007d0ddab3d74de70e
+DIST gentoo-headers-5.19-0.tar.xz 1168 BLAKE2B b4b90f23ddcbf0820f930bd605fb4a3269b8e48bc5f9c221cd60a726868140b9d43d1cd7ab04af8faf72417def0a7c9924f6b456d4521cdbcb35c825ec319a74 SHA512 0a652de74772e2c2f4de5a7cf188d05efbc797487ca6a0835075588d53abf5b835e65f626bd69a2de9ebdfef1a152581b79d5084e8af03a07123c0a149a67b0e
+DIST linux-5.19.tar.xz 131581464 BLAKE2B 4db03a6830a3b3bbf0837e1912182a443d9a4aa8af20a12e6ec814ed708038452d3c0ccee1258cca671c464d76461536363a8adc56e9d098c9a44ae3484a297a SHA512 00313b2f9b82d2dc3fb8294007cf7d7599d254b717ed2de23c81fa7a1bbcbc2798ad286cb94e2f7f5bd54132d1d764facd90d30f79dbcc6616cc7f926adc2623
diff --git a/sys-kernel/linux-headers/linux-headers-5.10-r11.ebuild b/sys-kernel/linux-headers/linux-headers-5.10-r11.ebuild
deleted file mode 100644
index 80ceca0b..00000000
--- a/sys-kernel/linux-headers/linux-headers-5.10-r11.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="7"
-
-ETYPE="headers"
-H_SUPPORTEDARCH="alpha amd64 arc arm arm64 avr32 cris frv hexagon hppa ia64 m68k metag microblaze mips mn10300 nios2 openrisc ppc ppc64 riscv s390 score sh sparc x86 xtensa"
-inherit kernel-2 toolchain-funcs
-detect_version
-
-PATCH_PV=${PV} # to ease testing new versions against not existing patches
-PATCH_VER="1"
-SRC_URI="${KERNEL_URI}
- ${PATCH_VER:+mirror://gentoo/gentoo-headers-${PATCH_PV}-${PATCH_VER}.tar.xz}
- ${PATCH_VER:+https://dev.gentoo.org/~slyfox/distfiles/gentoo-headers-${PATCH_PV}-${PATCH_VER}.tar.xz}
-"
-
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
-
-DEPEND="app-arch/xz-utils
- dev-lang/perl"
-RDEPEND=""
-
-S=${WORKDIR}/linux-${PV}
-
-src_unpack() {
- unpack ${A}
-}
-
-src_prepare() {
- [[ -n ${PATCH_VER} ]] && eapply "${WORKDIR}"/${PATCH_PV}/*.patch
-
- default
-}
-
-src_test() {
- emake headers_check ${xmakeopts}
-}
-
-src_install() {
- kernel-2_src_install
-
- # hrm, build system sucks
- find "${ED}" '(' -name '.install' -o -name '*.cmd' ')' -delete
- find "${ED}" -depth -type d -delete 2>/dev/null
-}
diff --git a/sys-kernel/linux-headers/linux-headers-5.19.ebuild b/sys-kernel/linux-headers/linux-headers-5.19.ebuild
new file mode 100644
index 00000000..527b4b40
--- /dev/null
+++ b/sys-kernel/linux-headers/linux-headers-5.19.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ETYPE="headers"
+H_SUPPORTEDARCH="alpha amd64 arc arm arm64 csky hexagon hppa ia64 loong m68k microblaze mips nios2 openrisc ppc ppc64 riscv s390 sh sparc x86 xtensa"
+inherit kernel-2
+detect_version
+
+PATCH_PV=${PV} # to ease testing new versions against not existing patches
+PATCH_VER="0"
+PATCH_DEV="xen0n"
+SRC_URI="${KERNEL_URI}
+ ${PATCH_VER:+https://dev.gentoo.org/~${PATCH_DEV}/distfiles/sys-kernel/linux-headers/gentoo-headers-${PATCH_PV}-${PATCH_VER}.tar.xz}"
+S="${WORKDIR}/linux-${PV}"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="app-arch/xz-utils
+ dev-lang/perl"
+
+# bug #816762
+RESTRICT="test"
+
+[[ -n ${PATCH_VER} ]] && PATCHES=( "${WORKDIR}"/${PATCH_PV} )
+
+src_unpack() {
+ # avoid kernel-2_src_unpack
+ default
+}
+
+src_prepare() {
+ # TODO: May need forward porting to newer versions
+ use elibc_musl && PATCHES+=(
+ "${FILESDIR}"/${PN}-5.10-Use-stddefs.h-instead-of-compiler.h.patch
+ "${FILESDIR}"/${PN}-5.15-remove-inclusion-sysinfo.h.patch
+ )
+
+ # avoid kernel-2_src_prepare
+ default
+}
+
+src_test() {
+ emake headers_check ${xmakeopts}
+}
+
+src_install() {
+ kernel-2_src_install
+
+ find "${ED}" \( -name '.install' -o -name '*.cmd' \) -delete || die
+ # delete empty directories
+ find "${ED}" -empty -type d -delete || die
+}